complexType "BusinessDayAdjustments"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 3 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 10 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | businessDayConvention?, (businessCentersReference | businessCenters)?
</...>

Content Model Elements (3):

  businessCenters (defined in BusinessCentersOrReference.model group),
  businessCentersReference,
  businessDayConvention (defined in BusinessDayAdjustments complexType)

All Direct / Indirect Based Elements (10):

  calculationPeriodDatesAdjustments (defined in PeriodicDates complexType),
  calculationPeriodDatesAdjustments (in calculationPeriodDates),
  dateAdjustments (defined in AdjustableDate.model group),
  dateAdjustments (defined in AdjustableDate2 complexType),
  dateAdjustments (defined in AdjustableDates complexType),
  dateAdjustments (defined in DividendPeriod complexType),
  dateAdjustments (defined in GeneralTerms complexType),
  paymentDatesAdjustments,
  relativeDateAdjustments,
  resetDatesAdjustments

Known Usage Locations

- As direct type of elements (10):
  calculationPeriodDatesAdjustments (defined in PeriodicDates complexType),
  calculationPeriodDatesAdjustments (in calculationPeriodDates),
  dateAdjustments (defined in AdjustableDate.model group),
  dateAdjustments (defined in AdjustableDate2 complexType),
  dateAdjustments (defined in AdjustableDates complexType),
  dateAdjustments (defined in DividendPeriod complexType),
  dateAdjustments (defined in GeneralTerms complexType),
  paymentDatesAdjustments,
  relativeDateAdjustments,
  resetDatesAdjustments

Annotation
A type defining the business day convention and financial business centers used for adjusting any relevant date if it would otherwise fall on a day that is not a business day in the specified business centers.
XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="BusinessDayAdjustments"> <xsd:sequence> <xsd:element minOccurs="0" name="businessDayConvention" type="BusinessDayConventionEnum"/> <xsd:group minOccurs="0" ref="BusinessCentersOrReference.model"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 1/3)
businessDayConvention

  Type: | BusinessDayConventionEnum, simple content

  The convention for adjusting a date if it would otherwise fall on a day that is not a business day.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "FOLLOWING" | - | The non-business date will be adjusted to the first following day that is a business day See: http://www.FpML.org
  "FRN" | - | Per 2000 ISDA Definitions, Section 4.11. FRN Convention; Eurodollar Convention. See: http://www.FpML.org
  "MODFOLLOWING" | - | The non-business date will be adjusted to the first following day that is a business day unless that day falls in the next calendar month, in which case that date will be the first preceding day that is a business day. See: http://www.FpML.org
  "PRECEDING" | - | The non-business day will be adjusted to the first preceding day that is a business day. See: http://www.FpML.org
  "MODPRECEDING" | - | The non-business date will be adjusted to the first preceding day that is a business day unless that day falls in the previous calendar month, in which case that date will be the first following day that us a business day. See: http://www.FpML.org
  "NEAREST" | - | The non-business date will be adjusted to the nearest day that is a business day - i.e. if the non-business day falls on any day other than a Sunday or a Monday, it will be the first preceding day that is a business day, and will be the first following business day if it falls on a Sunday or a Monday. See: http://www.FpML.org
  "NONE" | - | The date will not be adjusted if it falls on a day that is not a business day. See: http://www.FpML.org
  "NotApplicable" | - | The date adjustments conventions are defined elsewhere, so it is not required to specify them here. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="businessDayConvention" type="BusinessDayConventionEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.